Name:           bournal
Version:        1.5
Release:        5%{?dist}
Summary:        Write personal, password-protected journal entries

Group:          Applications/Internet
License:        GPLv3+
URL:            http://becauseinter.net/bournal/
Source0:        http://becauseinter.net/bournal/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

Requires:       gnupg
Requires:       vim


%description
Bournal is a bash script that allows you to keep a personal,
minimalistic, password-protected journal, log, or diary. It
includes encryption, regexp searches, and a date-sorted list
for editing old entries. Since Bournal is pure bash, it should
be easily editable for the CLI-savvy.


%prep
%setup -q


%build
#nothing to build


%install
rm -rf %{buildroot}
install -Dp -m 0755 %{name} %{buildroot}%{_bindir}/%{name}
install -Dp -m 0644 %{name}.1.gz %{buildroot}%{_mandir}/man1/%{name}.1.gz


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc changelog.txt LICENSE README
%{_mandir}/man*/%{name}*.*
%{_bindir}/%{name}


%changelog
* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Nov 26 2011 Fabian Affolter <mail@fabian-affolter.ch> - 1.5-3
- Rebuilt

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jan 21 2011 Fabian Affolter <fabian@bernewireless.net> - 1.5-1
- Switched from ccrypt to gnupg
- Updated to new upstream version 1.5

* Sat Feb 27 2010 Fabian Affolter <fabian@bernewireless.net> - 1.4.1-1
- Updated URL and source URL
- Updated to new upstream version 1.4.1 to fix #568440

* Sun Aug 02 2009 Fabian Affolter <fabian@bernewireless.net> - 1.3-2
- Removed all icons and desktop stuff

* Thu Mar 19 2009 Fabian Affolter <fabian@bernewireless.net> - 1.3-1
- Added icons
- Added .desktop file
- Removed nano, vim is enough
- Updated to new upstream version 1.3

* Wed Jan 20 2009 Fabian Affolter <fabian@bernewireless.net> - 1.2-1
- Initial spec for Fedora
